/* 
 * File:   vhdl_optimized_cb.h
 * Author: Michal Hucik <hucik@ordoz.com>
 *
 * Created on 28. května 2019, 8:24
 * 
 * 
 * ----------------------------- License -------------------------------------
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * ---------------------------------------------------------------------------
 */


#ifndef VHDL_OPTIMIZED_CB_H
#define VHDL_OPTIMIZED_CB_H

#ifdef __cplusplus
extern "C" {
#endif


    typedef enum en_VHDL_OPTIMIZED_CBTYPE {
        VHDL_OPTIMIZED_CBTYPE_DEFINITION = 0,
        VHDL_OPTIMIZED_CBTYPE_INSTANCE,
    } en_VHDL_OPTIMIZED_CBTYPE;

    typedef char* ( *vhdl_optimized_cb )(void *ptr );

    extern char* vhdl_optimized_F101_NOT_NOT_cb ( void *ptr );


#ifdef __cplusplus
}
#endif

#endif /* VHDL_OPTIMIZED_CB_H */

